#!/bin/sh

# Tarball uninstall sh script for DTC
# Written by Thomas GOIRAND <thomas@goirand.fr>
# under LGPL Licence

echo "### DEAMON PATH CONFIGURATION ###"

echo ""
echo "Where is located you httpd.conf ?"
echo -n "httpd.conf path [/usr/local/apache/httpd.conf]: "
read PATH_HTTPD_CONF
if [ $PATH_HTTPD_CONF == ""];
then
	PATH_HTTPD_CONF="/usr/local/apache/httpd.conf"
fi

echo ""
echo "Where is located your named.conf ?"
echo -n "named.conf path [/etc/named.conf]: "
read PATH_NAMED_CONF
if [ $PATH_NAMED_CONF == ""];
then
	PATH_NAMED_CONF="/etc/named.conf"
fi

echo ""
echo "Where is located your proftpd.conf ?"
echo -n "Qmail control path [/etc/proftpd.conf]: "
read PATH_PROFTPD_CONF
if [ $PATH_PROFTPD_CONF == ""];
then
	PATH_PROFTPD_CONF="/etc/proftpd.conf"
fi

echo ""
echo "Where is located your qmail control directory ?"
echo -n "Qmail control path [/var/qmail/control]: "
read PATH_QMAIL_CTRL
if [ $PATH_QMAIL_CTRL == ""];
then
	PATH_QMAIL_CTRL="/var/qmail/control"
fi

# Multi OS (Unix system) uninstall sh script for DTC
# Written by Thomas GOIRAND <thomas@goirand.fr>
# under LGPL Licence

# The configuration for all thoses variables must be written BEFORE this
# script. Do the start of the script for your operating system.
# I did mine for debian in debian/postinst

# Please note this script
# doeas not start with a :

#!/bin/sh

# because it's up to you to write it ! :)
# Do a "cat uninstall_deamons.sh >> your_OS_vars_setup_script.sh"

#
# uninstall named.conf
#

if grep "Configured by DTC" $PATH_NAMED_CONF
then
	grep -v "Configured by DTC" $PATH_NAMED_CONF >/tmp/dtc_uninstall.named.conf
	grep -v "include \"$PATH_DTC_ETC/named.conf\"" /tmp/dtc_uninstall.named.conf >/tmp/dtc_uninstall2.named.conf
	cp -f $PATH_NAMED_CONF $PATH_NAMED_CONF.DTC.removed
	mv /tmp/dtc_uninstall2.named.conf $PATH_NAMED_CONF
	rm -f /tmp/dtc_uninstall.named.conf
fi

#
# uninstall httpd.conf
#
if grep "Configured by DTC" $PATH_HTTPD_CONF
then
	grep -v "Configured by DTC" $PATH_HTTPD_CONF | grep -v "Include $PATH_DTC_ETC/vhosts.conf" >/tmp/dtc_uninstall.httpd.conf
	cp -f $PATH_HTTPD_CONF $PATH_HTTPD_CONF.DTC.removed
	mv /tmp/dtc_uninstall.httpd.conf $PATH_HTTPD_CONF
fi

#
# uninstall proftpd.conf
#

#if grep "Configured by DTC" $PATH_PROFTPD_CONF
#then
#	start_line=$(grep -n "Configured by DTC" $PATH_PROFTPD_CONF | cut -d":" -f1)
#	end_line=$(grep -n "End of DTC configuration" $PATH_PROFTPD_CONF| cut -d":" -f1)
#	nbr_line=$(cat $PATH_PROFTPD_CONF | wc -l)
#	cat $PATH_PROFTPD_CONF | head -n $(($start_line - 1 )) >/tmp/DTC_uninstall.profptd.conf
#	cat $PATH_PROFTPD_CONF | tail -n $(($nbr_line - $end_line + 1 )) >>/tmp/DTC_uninstall.profptd.conf
#	cp -f $PATH_PROFTPD_CONF $PATH_PROFTPD_CONF.DTC.removed
#	mv /tmp/DTC_uninstall.profptd.conf $PATH_PROFTPD_CONF
#fi

#
# Uninstall qmail
#

#if ! [ -f $PATH_QMAIL_CTRL/locals.DTC.backup ] then
#	rm -f $PATH_QMAIL_CTRL/locals
#	mv $PATH_QMAIL_CTRL/locals.DTC.backup $PATH_QMAIL_CTRL/locals
#fi
#
#if ! [ -f $PATH_QMAIL_CTRL/rcpthosts.DTC.backup ] then
#	rm -f $PATH_QMAIL_CTRL/rcpthosts
#	mv $PATH_QMAIL_CTRL/rcpthosts.DTC.backup $PATH_QMAIL_CTRL/rcpthosts
#fi
#
#if ! [ -f $PATH_QMAIL_CTRL/virtualdomains.DTC.backup ] then
#	rm -f $PATH_QMAIL_CTRL/virtualdomains.DTC.backup
#	mv $PATH_QMAIL_CTRL/virtualdomains.DTC.backup $PATH_QMAIL_CTRL/virtualdomains
#fi
#
#if ! [ -f $PATH_QMAIL_CTRL/users/assign.DTC.backup ] then
#	rm -f $PATH_QMAIL_CTRL/users/assign.DTC.backup
#	mv $PATH_QMAIL_CTRL/users/assign.DTC.backup $PATH_QMAIL_CTRL/users/assign
#fi
#
#if ! [ -f /etc/poppasswd.DTC.backup ] then
#	rm -f /etc/poppasswd.DTC.backup
#	mv /etc/poppasswd.DTC.backup /etc/poppasswd
#fi
